<?php

require_once __DIR__."/../vendor/autoload.php";

use NoccyLabs\Gpio\GpioMapper\WiringPiMapper;
use NoccyLabs\Gpio\Exception\GpioException;

$mapper = new WiringPiMapper(2);

$pin = 0;
try {
	while (($gpio = $mapper->mapLogicalToGpioPin($pin))) {
		printf(" %3d = GPIO%d \n", $pin, $gpio);
		$pin++;
	}
} catch (GpioException $e) {
}
